
QGIS Application - Bug report #4104

error ' attribute value change(s) not applied' when editing csv files

2011-07-20 02:59 AM - Richard Duivenvoorde

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider

Affected QGIS version:master Regression?: No

Operating System: ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:No Copied to github as #: 14086

Description

I'm working on a plugin which should make it possible to load a single dbf (or csv file) and fill an x- and y-column by clicking in a map. And

after that: save the txt file as a point-shape file using those xy columns as geometry xy's.

I noticed that when opening a dbf file (just via open vector layer), I can edit values and add records in the attribute table view and

successfully save the dbf.

But when opening a csv file, I can add a record (most of the time) and save it (though I see ERROR messages sometimes in cells).

But I can NOT change value's of table-cells. Every time I try to do that I get an error: 

Errors: ERROR: 1 attribute value change(s) not applied.

I'll attach a minimum tab-separated csv file to this message to do some testing.

I work on a self compiled qgis b72b7b1 on ubuntu natty.

History

#1 - 2011-07-20 02:59 AM - Richard Duivenvoorde

- File kuus.csv added

#2 - 2011-12-09 08:42 AM - Paolo Cavallini

- Category set to Data Provider

#3 - 2011-12-16 02:12 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#4 - 2012-04-16 06:28 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Target version changed from Version 1.7.4 to Version 1.8.0

#5 - 2012-09-04 11:58 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#6 - 2014-06-28 07:40 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#7 - 2015-12-03 08:34 AM - Médéric RIBREUX

- Status changed from Open to Feedback
Hello, bug triage...

this is still true in QGIS 2.13. It seems to be an OGR problem as the CSV driver page states:

Deleting or replacing existing features is not supported.

I think this is an OGR bug and not a QGIS one. Could we close this one (after you have made a bug report on GDAL side) ?

#8 - 2015-12-19 12:40 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to up/downstream

Files

kuus.csv 67 Bytes 2011-07-20 Richard Duivenvoorde
http://www.gdal.org/drv_csv.html

